Package org.python.core.finalization

# Interface FinalizablePyObjectDerived

All Known Implementing Classes:
  `chainDerived`, `ClasspathPyImporterDerived`, `combinationsDerived`, `combinationsWithReplacementDerived`, `compressDerived`, `countDerived`, `cycleDerived`, `dropwhileDerived`, `EncoderDerived`, `groupbyDerived`, `ifilterDerived`, `ifilterfalseDerived`, `imapDerived`, `isliceDerived`, `izipDerived`, `izipLongestDerived`, `permutationsDerived`, `productDerived`, `PyArrayDerived`, `PyBaseExceptionDerived`, `PyByteArrayDerived`, `PyBZ2CompressorDerived`, `PyBZ2DecompressorDerived`, `PyBZ2FileDerived`, `PyClassMethodDerived`, `PyComplexDerived`, `PyDefaultDictDerived`, `PyDequeDerived`, `PyDialectDerived`, `PyDictionaryDerived`, `PyEnumerateDerived`, `PyFileDerived`, `PyFileIODerived`, `PyFloatDerived`, `PyFrozenSetDerived`, `PyIntegerDerived`, `PyIOBaseDerived`, `PyListDerived`, `PyLocalDerived`, `PyLongDerived`, `PyModuleDerived`, `PyObjectDerived`, `PyPartialDerived`, `PyPropertyDerived`, `PyRandomDerived`, `PyRawIOBaseDerived`, `PySetDerived`, `PyShadowStringDerived`, `PyStringDerived`, `PyStructDerived`, `PySuperDerived`, `PyTeeIteratorDerived`, `PyTupleDerived`, `PyTypeDerived`, `PyUnicodeDerived`, `ReferenceTypeDerived`, `repeatDerived`, `ScannerDerived`, `starmapDerived`, `takewhileDerived`, `zipimporterDerived`

public interface FinalizablePyObjectDerived
This interface should never be used directly in any hand-written code (except in FinalizeTrigger.java). It should only appear in automatically generated `fooDerived`-classes. To use finalizers in hand-written classes read the instructions at `FinalizablePyObject`.

## Method Summary

Modifier and Type
Method
Description
`void`
`__del_derived__()`
`__del_builtin__` is the built-in's own finalizer, while `__del_derived__` refers to an instance's in-dict `__del__`.

## Method Details

### __del_derived__

void __del_derived__()
`__del_builtin__` is the built-in's own finalizer, while `__del_derived__` refers to an instance's in-dict `__del__`. A FinalizeTrigger calls `__del_derived__` first and - if existent - `__del_builtin__` after that. A plain `__del__` would behave as overridden by `__del_derived__`, i.e. won't be called if the type implements `FinalizablePyObjectDerived` while `__del_builtin__` is called in any case.